

extern double SizeofLotNoReinvestment = 0.1;
extern bool   reinvestment = true;
extern int    percentageofRisk = 50;
extern int    shoulder = 50;
extern int    take = 1;
extern double StopLoss = 0;
double old_bid = 0;
double curr_bid = 0;
double old_ask = 0;
double curr_ask = 0;
double up_trend = 0;
double down_trend = 0;
int    i;
int    cnt;
double M;
//+------------------------------------------------------------------+

int init()
{
 
 if(Symbol()=="AUDCAD") {
	} else if(Symbol()=="AUDUSD") {
		M=MarketInfo("AUDUSD",MODE_LOTSIZE)/shoulder*MarketInfo("AUDUSD",MODE_ASK);
	} else if(Symbol()=="CHFJPY") {
		M=MarketInfo("CHFJPY",MODE_LOTSIZE)/shoulder*MarketInfo("USDCHF",1/MODE_ASK);
	} else if(Symbol()=="EURCHF") {
		M=MarketInfo("EURCHF",MODE_LOTSIZE)/shoulder*MarketInfo("EURUSD",MODE_ASK);
	} else if(Symbol()=="EURGBP") {
		M=MarketInfo("EURGBP",MODE_LOTSIZE)/shoulder*MarketInfo("EURUSD",MODE_ASK);
	} else if(Symbol()=="EURJPY") {
		M=MarketInfo("EURJPY",MODE_LOTSIZE)/shoulder*MarketInfo("EURUSD",MODE_ASK);
	} else if(Symbol()=="EURUSD") {
		M=MarketInfo("EURUSD",MODE_LOTSIZE)/shoulder*MarketInfo("EURUSD",MODE_ASK);
	} else if(Symbol()=="GBPUSD") {
		M=MarketInfo("GBPUSD",MODE_LOTSIZE)/shoulder*MarketInfo("GBPUSD",MODE_ASK);
	} else if(Symbol()=="USDCAD") {
		M=MarketInfo("USDCAD",MODE_LOTSIZE)/shoulder;
	} else if(Symbol()=="USDCHF") {
		M=MarketInfo("USDCHF",MODE_LOTSIZE)/shoulder;
	} else if(Symbol()=="USDJPY") {
		M=MarketInfo("USDJPY",MODE_LOTSIZE)/shoulder;
   }
  return(0);
}

//+------------------------------------------------------------------+

int deinit()
{
return(0);
}

//+------------------------------------------------------------------+

int start()
{
curr_bid = NormalizeDouble(Bid,Digits);
curr_ask = NormalizeDouble(Ask,Digits);
up_trend = curr_bid - old_ask;
down_trend = old_bid - curr_ask;
double sl = 0;
double multiplier = MathPow(10,MathMod(Digits,2));
if (up_trend > 0.0)   
 {
 PlaySound("expert.wav");
 if (StopLoss>0) sl = NormalizeDouble(Ask-StopLoss*Point*multiplier,Digits);
 i = OrderSend(Symbol(),OP_BUY,SizeofLotNoReinvestment,old_ask,0,sl,0,"",5326,0,Blue);
 Comment(GetLastError());
 }
if (down_trend > 0.0) 
 {
 PlaySound("expert.wav");
 if (StopLoss>0) sl = NormalizeDouble(Bid+StopLoss*Point*multiplier,Digits);
 i = OrderSend(Symbol(),OP_SELL,SizeofLotNoReinvestment,old_bid,0,sl,0,"",5326,0,Red);
 Comment(GetLastError());
 }

for (cnt = 0; cnt < OrdersTotal(); cnt++)
   {
   OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
   if ((OrderMagicNumber() == 5326) && (OrderSymbol() == Symbol()))
      {
      RefreshRates();
      if (OrderType() == OP_BUY && Bid-OrderOpenPrice()>=take*Point)  i = OrderClose(OrderTicket(),OrderLots(),Bid,10,Blue);
      if (OrderType() == OP_SELL && OrderOpenPrice()-Ask>=take*Point) i = OrderClose(OrderTicket(),OrderLots(),Ask,10,Red);
      }
   }

if (reinvestment == 1) {SizeofLotNoReinvestment = NormalizeDouble(MathFloor((AccountFreeMargin()*percentageofRisk/10)*10)/M/10,1); Comment(SizeofLotNoReinvestment);}
old_bid = curr_bid;
old_ask = curr_ask;
return(0);
}